--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: accept_domains
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: cookies
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: cookies_file
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: for conformance to http://wp.netscape.com/newsref/std/cookie_spec.html
  name: netscape_rule
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: reject_domains
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: SPECIAL_DOMAIN
  value: "[\".com\",\".edu\",\".gov\",\".mil\",\".net\",\".org\",\".int\"]"
full_name: WebAgent::CookieManager
includes: 
- !ruby/object:RI::IncludedModule 
  name: CookieUtils
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add
- !ruby/object:RI::MethodSummary 
  name: check_cookie_accept_domain
- !ruby/object:RI::MethodSummary 
  name: check_expired_cookies
- !ruby/object:RI::MethodSummary 
  name: cookies=
- !ruby/object:RI::MethodSummary 
  name: find
- !ruby/object:RI::MethodSummary 
  name: load_cookies
- !ruby/object:RI::MethodSummary 
  name: parse
- !ruby/object:RI::MethodSummary 
  name: save_all_cookies
- !ruby/object:RI::MethodSummary 
  name: save_cookies
name: CookieManager
superclass: Object
